import { OnInit, EventEmitter } from '@angular/core';
import { AuthService } from '../services/auth.service';
import { User } from 'firebase';
export declare class LoginComponent implements OnInit {
    private authService;
    emailPassword: boolean;
    google: boolean;
    twitter: boolean;
    microsoft: boolean;
    doLogout: boolean;
    updateUserData: EventEmitter<User>;
    goToHomePage: EventEmitter<User>;
    logout: EventEmitter<boolean>;
    email: string;
    password: string;
    user: User;
    constructor(authService: AuthService);
    ngOnInit(): void;
    loginWithGoogle(): void;
    loginWithTwitter(): void;
    loginWithMicrosoft(): void;
    loginWithEmail(): void;
    removeWhiteSpaces(): void;
    onLogout(): void;
}
